Bug 117339 - [patch] route(8): loading routing management commands from file
Summary: [patch] route(8): loading routing management commands from file
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-19 19:40 UTC by Alter
Modified: 2018-01-03 05:16 UTC (History)
0 users

See Also:


Attachments
file.diff (21.68 KB, patch)
2007-10-19 19:40 UTC, Alter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alter 2007-10-19 19:40:01 UTC
It is very inconvenient running 'route' multiple times to load or update numerous routes. Also, this affects system porformance. Also, sometimes it is necessary to ignore errors, appeared on processing of some requests.

Fix: Proposed patch adds '-f' switch, which loads set of commands from file. So you can make multiple updates of routing table with single call to route. Each line of file contains single route command. For example:

route -f route.rules

Also adds '-i' switch to command line. When '-i' is used, all routing commands containing errors will be rejected, but correct commands will be applied. ROUTE shall not stop on the 1st invalid command. It is useful when loading routing rules from file.

Since 'route' invokes exit() (or alternatives) on errors, patch adds error status return to all functions instead of terminating process and necessary error handling.
Also, added reset of all global veriables, containing current command processing state, to initial values before each line processing.

Patch (or it's updates) is located here:
http://alter.org.ua/soft/fbsd/route/route-file_ie.patch.gz
Page ot the patch:
http://alter.org.ua/soft/fbsd/route/



Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2007-10-20 00:14:10 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Alter 2012-06-14 15:30:22 UTC
Hello bug-followup,

Unified diff for FreeBSD 7.2 is now available:
http://alter.org.ua/soft/fbsd/route/route-file_ie.72.20120614u.patch.gz

-- 
Best regards,
 Alter                          mailto:alter@alter.org.ua
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:40 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped